<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.4) on Wed Nov 20 09:59:45 CET 2019 -->
<title>AbstractOaiRepository</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-11-20">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractOaiRepository";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractOaiRepository.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">nl.naturalis.oaipmh.api</a></div>
<h2 title="Class AbstractOaiRepository" class="title">Class AbstractOaiRepository</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>nl.naturalis.oaipmh.api.AbstractOaiRepository</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="OaiRepository.html" title="interface in nl.naturalis.oaipmh.api">OaiRepository</a></code></dd>
</dl>
<hr>
<pre>public abstract class <span class="typeNameLabel">AbstractOaiRepository</span>
extends <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>
implements <a href="OaiRepository.html" title="interface in nl.naturalis.oaipmh.api">OaiRepository</a></pre>
<div class="block">Can be used as an abstract base class for OAI repositories. All methods are either no-ops or throw an
 <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/UnsupportedOperationException.html?is-external=true" title="class or interface in java.lang" class="externalLink"><code>UnsupportedOperationException</code></a>, except <a href="#newOaiRequest(nl.naturalis.oaipmh.api.OaiRequest)"><code>newOaiRequest</code></a>, which stores the provided
 <a href="OaiRequest.html" title="class in nl.naturalis.oaipmh.api"><code>OaiRequest</code></a> instance into a protected field, and <a href="#getResumptionTokenParser()"><code>getResumptionTokenParser</code></a>, which returns the
 <a href="ResumptionToken.html" title="class in nl.naturalis.oaipmh.api"><code>default parser</code></a>.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Ayco Holleman</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">AbstractOaiRepository</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#closeOaiRequest()">closeOaiRequest</a></span>()</code></th>
<td class="colLast">
<div class="block">Called just after the OAI-PMH response has been sent to the client, allowing repository implementations to close request-scoped
 resources.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRecord(java.io.OutputStream)">getRecord</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/OutputStream.html?is-external=true" title="class or interface in java.io" class="externalLink">OutputStream</a>&nbsp;output)</code></th>
<td class="colLast">
<div class="block">Implement the GetRecord protocol request.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="ResumptionTokenParser.html" title="interface in nl.naturalis.oaipmh.api">ResumptionTokenParser</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getResumptionTokenParser()">getResumptionTokenParser</a></span>()</code></th>
<td class="colLast">
<div class="block">Provide a <a href="ResumptionTokenParser.html" title="interface in nl.naturalis.oaipmh.api"><code>ResumptionTokenParser</code></a> that the OAI-PMH server can use to decompose resumption tokens.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/InputStream.html?is-external=true" title="class or interface in java.io" class="externalLink">InputStream</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getXsdForMetadataPrefix(java.lang.String)">getXsdForMetadataPrefix</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;metadataPrefix)</code></th>
<td class="colLast">
<div class="block">Return an <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/InputStream.html?is-external=true" title="class or interface in java.io" class="externalLink"><code>InputStream</code></a> from which to read the XML schema definition corresponding to the specified metadata prefix.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#identify(java.io.OutputStream)">identify</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/OutputStream.html?is-external=true" title="class or interface in java.io" class="externalLink">OutputStream</a>&nbsp;output)</code></th>
<td class="colLast">
<div class="block">Implement the Identify protocol request.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#listIdentifiers(java.io.OutputStream)">listIdentifiers</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/OutputStream.html?is-external=true" title="class or interface in java.io" class="externalLink">OutputStream</a>&nbsp;output)</code></th>
<td class="colLast">
<div class="block">Implement the GetRecord protocol request.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#listMetaDataFormats(java.io.OutputStream)">listMetaDataFormats</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/OutputStream.html?is-external=true" title="class or interface in java.io" class="externalLink">OutputStream</a>&nbsp;output)</code></th>
<td class="colLast">
<div class="block">Implement the ListMetaDataFormats protocol request.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#listRecords(java.io.OutputStream)">listRecords</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/OutputStream.html?is-external=true" title="class or interface in java.io" class="externalLink">OutputStream</a>&nbsp;output)</code></th>
<td class="colLast">
<div class="block">Implement the ListRecords protocol request.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#listSets(java.io.OutputStream)">listSets</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/OutputStream.html?is-external=true" title="class or interface in java.io" class="externalLink">OutputStream</a>&nbsp;output)</code></th>
<td class="colLast">
<div class="block">Implement the ListSets protocol request.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#newOaiRequest(nl.naturalis.oaipmh.api.OaiRequest)">newOaiRequest</a></span>&#8203;(<a href="OaiRequest.html" title="class in nl.naturalis.oaipmh.api">OaiRequest</a>&nbsp;request)</code></th>
<td class="colLast">
<div class="block">Prepare and initialize for a new OAI-PMH request.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang" class="externalLink">equals</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang" class="externalLink">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang" class="externalLink">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang" class="externalLink">notify</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang" class="externalLink">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang" class="externalLink">toString</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait(long,int)" title="class or interface in java.lang" class="externalLink">wait</a></code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractOaiRepository</h4>
<pre>public&nbsp;AbstractOaiRepository()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="newOaiRequest(nl.naturalis.oaipmh.api.OaiRequest)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>newOaiRequest</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;newOaiRequest&#8203;(<a href="OaiRequest.html" title="class in nl.naturalis.oaipmh.api">OaiRequest</a>&nbsp;request)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="OaiRepository.html#newOaiRequest(nl.naturalis.oaipmh.api.OaiRequest)">OaiRepository</a></code></span></div>
<div class="block">Prepare and initialize for a new OAI-PMH request.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="OaiRepository.html#newOaiRequest(nl.naturalis.oaipmh.api.OaiRequest)">newOaiRequest</a></code>&nbsp;in interface&nbsp;<code><a href="OaiRepository.html" title="interface in nl.naturalis.oaipmh.api">OaiRepository</a></code></dd>
</dl>
</li>
</ul>
<a id="getXsdForMetadataPrefix(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getXsdForMetadataPrefix</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/InputStream.html?is-external=true" title="class or interface in java.io" class="externalLink">InputStream</a>&nbsp;getXsdForMetadataPrefix&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;metadataPrefix)
                                    throws <a href="RepositoryException.html" title="class in nl.naturalis.oaipmh.api">RepositoryException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="OaiRepository.html#getXsdForMetadataPrefix(java.lang.String)">OaiRepository</a></code></span></div>
<div class="block">Return an <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/InputStream.html?is-external=true" title="class or interface in java.io" class="externalLink"><code>InputStream</code></a> from which to read the XML schema definition corresponding to the specified metadata prefix. This is
 meant to inform clients about the XML schemas used within the &lt;oai_dc&gt; element of the OAI-PMH output. The default implementation
 throws an <a href="XsdNotFoundException.html" title="class in nl.naturalis.oaipmh.api"><code>XsdNotFoundException</code></a>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="OaiRepository.html#getXsdForMetadataPrefix(java.lang.String)">getXsdForMetadataPrefix</a></code>&nbsp;in interface&nbsp;<code><a href="OaiRepository.html" title="interface in nl.naturalis.oaipmh.api">OaiRepository</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="RepositoryException.html" title="class in nl.naturalis.oaipmh.api">RepositoryException</a></code></dd>
</dl>
</li>
</ul>
<a id="getResumptionTokenParser()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getResumptionTokenParser</h4>
<pre class="methodSignature">public&nbsp;<a href="ResumptionTokenParser.html" title="interface in nl.naturalis.oaipmh.api">ResumptionTokenParser</a>&nbsp;getResumptionTokenParser()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="OaiRepository.html#getResumptionTokenParser()">OaiRepository</a></code></span></div>
<div class="block">Provide a <a href="ResumptionTokenParser.html" title="interface in nl.naturalis.oaipmh.api"><code>ResumptionTokenParser</code></a> that the OAI-PMH server can use to decompose resumption tokens. Used to decompose a resumption
 token into its constituent parts.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="OaiRepository.html#getResumptionTokenParser()">getResumptionTokenParser</a></code>&nbsp;in interface&nbsp;<code><a href="OaiRepository.html" title="interface in nl.naturalis.oaipmh.api">OaiRepository</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getRecord(java.io.OutputStream)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRecord</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;getRecord&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/OutputStream.html?is-external=true" title="class or interface in java.io" class="externalLink">OutputStream</a>&nbsp;output)
               throws <a href="OaiException.html" title="class in nl.naturalis.oaipmh.api">OaiException</a>,
                      <a href="RepositoryException.html" title="class in nl.naturalis.oaipmh.api">RepositoryException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="OaiRepository.html#getRecord(java.io.OutputStream)">OaiRepository</a></code></span></div>
<div class="block">Implement the GetRecord protocol request. The resulting OAI-PMH should be written to the specified output stream.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="OaiRepository.html#getRecord(java.io.OutputStream)">getRecord</a></code>&nbsp;in interface&nbsp;<code><a href="OaiRepository.html" title="interface in nl.naturalis.oaipmh.api">OaiRepository</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="OaiException.html" title="class in nl.naturalis.oaipmh.api">OaiException</a></code></dd>
<dd><code><a href="RepositoryException.html" title="class in nl.naturalis.oaipmh.api">RepositoryException</a></code></dd>
</dl>
</li>
</ul>
<a id="listRecords(java.io.OutputStream)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>listRecords</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;listRecords&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/OutputStream.html?is-external=true" title="class or interface in java.io" class="externalLink">OutputStream</a>&nbsp;output)
                 throws <a href="OaiException.html" title="class in nl.naturalis.oaipmh.api">OaiException</a>,
                        <a href="RepositoryException.html" title="class in nl.naturalis.oaipmh.api">RepositoryException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="OaiRepository.html#listRecords(java.io.OutputStream)">OaiRepository</a></code></span></div>
<div class="block">Implement the ListRecords protocol request. The resulting OAI-PMH should be written to the specified output stream. The default
 implementation throws an <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/UnsupportedOperationException.html?is-external=true" title="class or interface in java.lang" class="externalLink"><code>UnsupportedOperationException</code></a> (effectively making the repository non-compliant with the OAI
 protocol!).</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="OaiRepository.html#listRecords(java.io.OutputStream)">listRecords</a></code>&nbsp;in interface&nbsp;<code><a href="OaiRepository.html" title="interface in nl.naturalis.oaipmh.api">OaiRepository</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="OaiException.html" title="class in nl.naturalis.oaipmh.api">OaiException</a></code></dd>
<dd><code><a href="RepositoryException.html" title="class in nl.naturalis.oaipmh.api">RepositoryException</a></code></dd>
</dl>
</li>
</ul>
<a id="listIdentifiers(java.io.OutputStream)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>listIdentifiers</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;listIdentifiers&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/OutputStream.html?is-external=true" title="class or interface in java.io" class="externalLink">OutputStream</a>&nbsp;output)
                     throws <a href="OaiException.html" title="class in nl.naturalis.oaipmh.api">OaiException</a>,
                            <a href="RepositoryException.html" title="class in nl.naturalis.oaipmh.api">RepositoryException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="OaiRepository.html#listIdentifiers(java.io.OutputStream)">OaiRepository</a></code></span></div>
<div class="block">Implement the GetRecord protocol request. The resulting OAI-PMH should be written to the specified output stream.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="OaiRepository.html#listIdentifiers(java.io.OutputStream)">listIdentifiers</a></code>&nbsp;in interface&nbsp;<code><a href="OaiRepository.html" title="interface in nl.naturalis.oaipmh.api">OaiRepository</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="OaiException.html" title="class in nl.naturalis.oaipmh.api">OaiException</a></code></dd>
<dd><code><a href="RepositoryException.html" title="class in nl.naturalis.oaipmh.api">RepositoryException</a></code></dd>
</dl>
</li>
</ul>
<a id="listMetaDataFormats(java.io.OutputStream)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>listMetaDataFormats</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;listMetaDataFormats&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/OutputStream.html?is-external=true" title="class or interface in java.io" class="externalLink">OutputStream</a>&nbsp;output)
                         throws <a href="OaiException.html" title="class in nl.naturalis.oaipmh.api">OaiException</a>,
                                <a href="RepositoryException.html" title="class in nl.naturalis.oaipmh.api">RepositoryException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="OaiRepository.html#listMetaDataFormats(java.io.OutputStream)">OaiRepository</a></code></span></div>
<div class="block">Implement the ListMetaDataFormats protocol request. The resulting OAI-PMH should be written to the specified output stream.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="OaiRepository.html#listMetaDataFormats(java.io.OutputStream)">listMetaDataFormats</a></code>&nbsp;in interface&nbsp;<code><a href="OaiRepository.html" title="interface in nl.naturalis.oaipmh.api">OaiRepository</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="OaiException.html" title="class in nl.naturalis.oaipmh.api">OaiException</a></code></dd>
<dd><code><a href="RepositoryException.html" title="class in nl.naturalis.oaipmh.api">RepositoryException</a></code></dd>
</dl>
</li>
</ul>
<a id="listSets(java.io.OutputStream)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>listSets</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;listSets&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/OutputStream.html?is-external=true" title="class or interface in java.io" class="externalLink">OutputStream</a>&nbsp;output)
              throws <a href="OaiException.html" title="class in nl.naturalis.oaipmh.api">OaiException</a>,
                     <a href="RepositoryException.html" title="class in nl.naturalis.oaipmh.api">RepositoryException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="OaiRepository.html#listSets(java.io.OutputStream)">OaiRepository</a></code></span></div>
<div class="block">Implement the ListSets protocol request. The resulting OAI-PMH should be written to the specified output stream.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="OaiRepository.html#listSets(java.io.OutputStream)">listSets</a></code>&nbsp;in interface&nbsp;<code><a href="OaiRepository.html" title="interface in nl.naturalis.oaipmh.api">OaiRepository</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="OaiException.html" title="class in nl.naturalis.oaipmh.api">OaiException</a></code></dd>
<dd><code><a href="RepositoryException.html" title="class in nl.naturalis.oaipmh.api">RepositoryException</a></code></dd>
</dl>
</li>
</ul>
<a id="identify(java.io.OutputStream)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>identify</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;identify&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/OutputStream.html?is-external=true" title="class or interface in java.io" class="externalLink">OutputStream</a>&nbsp;output)
              throws <a href="OaiException.html" title="class in nl.naturalis.oaipmh.api">OaiException</a>,
                     <a href="RepositoryException.html" title="class in nl.naturalis.oaipmh.api">RepositoryException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="OaiRepository.html#identify(java.io.OutputStream)">OaiRepository</a></code></span></div>
<div class="block">Implement the Identify protocol request. The resulting OAI-PMH should be written to the specified output stream.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="OaiRepository.html#identify(java.io.OutputStream)">identify</a></code>&nbsp;in interface&nbsp;<code><a href="OaiRepository.html" title="interface in nl.naturalis.oaipmh.api">OaiRepository</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="OaiException.html" title="class in nl.naturalis.oaipmh.api">OaiException</a></code></dd>
<dd><code><a href="RepositoryException.html" title="class in nl.naturalis.oaipmh.api">RepositoryException</a></code></dd>
</dl>
</li>
</ul>
<a id="closeOaiRequest()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>closeOaiRequest</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;closeOaiRequest()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="OaiRepository.html#closeOaiRequest()">OaiRepository</a></code></span></div>
<div class="block">Called just after the OAI-PMH response has been sent to the client, allowing repository implementations to close request-scoped
 resources.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="OaiRepository.html#closeOaiRequest()">closeOaiRequest</a></code>&nbsp;in interface&nbsp;<code><a href="OaiRepository.html" title="interface in nl.naturalis.oaipmh.api">OaiRepository</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractOaiRepository.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
